BeanShell aktualisieren

Gibt es schon einen Plan die BeanShell Version zu aktualisieren?

Am 27.09.2013 ist die Version 2.1.6 mit einigen interessanten Updates, besonders im zusammenhang mit parallel ausgeführten Scripten, erschienen

https://code.google.com/p/beanshell2/wiki/UpdateHistory

Zur Zeit kann es bei parallelen FS-Generierungs-Aktionen in deren Verlauf Vorlagen mit BeanShell Scripten verarbeitet werden zu folgender Fehlermeldung kommen:

"...BeanShell cannot yet simultaneously define two or more dependant classes of the same name...."

VG

Sören

2 Comments
pjodeleit
e-Spirit employee

@Sören: Du beziehst dich auf https://code.google.com/p/beanshell2/source/detail?r=61? Dieser Fix ist aber schon von 2011 und damit bereits in FirstSpirit v5 enthalten?!

soeren_schwirsc
I'm new here

Danke für die Info. Gibt es für FirstSpirit v4.2.x auch einen HotFix oder ähnliches?